in rush, so solution is ugly and based on the first article found.

https://automaticaddison.com/how-to-detect-and-classify-traffic-lights/

# hw/sw 

Intel(R) Xeon(R) CPU E5-2678 v3

GeForce GT 730

Ubuntu 20.04.2 LTS

ROS1 Noetic Ninjemys (Recommended)  http://wiki.ros.org/Distributions

Python 3.8.5    

TensorFlow 2.5.0 (CUDA, no AVX2, no FMA)

Cuda-11.3 + cuDNN 8.2.0.53
    
    
